View Issue Details

IDProjectCategoryView StatusLast Update
0002531unrealircdpublic2007-06-05 13:50
ReporterDodge_RamAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.3 
Target VersionFixed in Version3.3-alpha0 
Summary0002531: Stats 'H' not listed in /stats
Description'H' stats not listed in the /stats list.

/Stats flags:
B - banversion - Send the ban version list
b - badword - Send the badwords list
C - link - Send the link block list
d - denylinkauto - Send the deny link (auto) block list
D - denylinkall - Send the deny link (all) block list
e - exceptthrottle - Send the except throttle block list
E - exceptban - Send the except ban and except tkl block list
f - spamfilter - Send the spamfilter list
F - denydcc - Send the deny dcc and allow dcc block lists
G - gline - Send the gline and gzline list
Extended flags: [+/-mrs] [mask] [reason] [setby]
m Return glines matching/not matching the specified mask
r Return glines with a reason matching/not matching the specified reason
s Return glines set by/not set by clients matching the specified name
I - allow - Send the allow block list
j - officialchans - Send the offical channels list
K - kline - Send the ban user/ban ip/except ban block list
l - linkinfo - Send link information
L - linkinfoall - Send all link information
M - command - Send list of how many times each command was used
n - banrealname - Send the ban realname block list
O - oper - Send the oper block list
P - port - Send information about ports
q - bannick - Send the ban nick block list
Q - sqline - Send the global qline list
r - chanrestrict - Send the channel deny/allow block list
S - set - Send the set block list
s - shun - Send the shun list
Extended flags: [+/-mrs] [mask] [reason] [setby]
m Return shuns matching/not matching the specified mask
r Return shuns with a reason matching/not matching the specified reason
s Return shuns set by/not set by clients matching the specified name
t - tld - Send the tld block list
T - traffic - Send traffic information
u - uptime - Send the server uptime and connection count
U - uline - Send the ulines block list
v - denyver - Send the deny version block list
V - vhost - Send the vhost block list
X - notlink - Send the list of servers that are not current linked
Y - class - Send the class block list
Z - mem - Send memory usage information
[End /STATS (*) report]

Example output of /stats H:

C *@xxx.x.x.x * Services.Blah.com 6000 servers
H * * Services.Skynet.gov
C *@x.xxx.xxx.x * Test.Blah.com 6669 servers dh
H * * Test.Skynet.gov
C *@xxx.x.x.x * Stats.Blah.com 6000 servers
H * * Stats.Skynet.gov
C *@xxx.x.x.x * Services.Blah.com 6000 servers T
H * * Services.Skynet.gov
C *@xxx.x.x.x * Stats.Blah.com 6000 servers T
H * * Stats.Skynet.gov
[End /STATS (H) report]

Sorry about the length of the description...

Thanks,
Dodge
TagsNo tags attached.
3rd party modules

Activities

stskeeps

2007-04-27 05:17

reporter   ~0013813

Bump. Is this still an issue?

vonitsanet

2007-04-29 18:22

reporter   ~0013935

yes.
its still an issue. I dont see H on /stats

WolfSage

2007-05-07 19:38

reporter   ~0014025

Last edited: 2007-05-07 19:44

They aren't in Unreal3.2 docs either.

Question though: Stats C and H are seemingly identical. What's up with that?

stskeeps

2007-05-20 03:53

reporter   ~0014188

/stats H is historic back when H:lines existed (and C: and N: and H: wasn't integrated). Does it show only hub *; links or all stuff from /stats C?

WolfSage

2007-05-20 09:25

reporter   ~0014193

/stats C and /stats H show both C and H data now, in identical fashion.

2007-06-05 13:20

 

stats_H.patch (1,081 bytes)

Stealth

2007-06-05 13:21

reporter   ~0014275

No need for stats H if it's just referring to stats C (read src, that's all it does)

Path removing stats H uploaded.

stskeeps

2007-06-05 13:50

reporter   ~0014276

Patched in .2418

Issue History

Date Modified Username Field Change
2005-05-23 16:12 Dodge_Ram New Issue
2007-04-27 05:17 stskeeps Note Added: 0013813
2007-04-27 05:17 stskeeps Status new => feedback
2007-04-29 18:22 vonitsanet Note Added: 0013935
2007-04-30 02:05 stskeeps Status feedback => confirmed
2007-05-07 19:38 WolfSage Note Added: 0014025
2007-05-07 19:44 WolfSage Note Edited: 0014025
2007-05-20 03:53 stskeeps Note Added: 0014188
2007-05-20 09:25 WolfSage Note Added: 0014193
2007-06-05 13:20 Stealth File Added: stats_H.patch
2007-06-05 13:21 Stealth Note Added: 0014275
2007-06-05 13:50 stskeeps Status confirmed => resolved
2007-06-05 13:50 stskeeps Fixed in Version => 3.3-alpha0
2007-06-05 13:50 stskeeps Resolution open => fixed
2007-06-05 13:50 stskeeps Assigned To => stskeeps
2007-06-05 13:50 stskeeps Note Added: 0014276